
/* ------------------------------------------------------------- */
/* --------------------------- GLOBAL -------------------------- */
/* ------------------------------------------------------------- */

html {
    font-size: 62.5%;  /* now 1rem = 10px (if user default is 16px) */
    scroll-behavior: smooth;
}
body {
    margin: 0;
    position: relative;
    background-color: var(--color-dark);
    font-family: var(--font-primary);
    font-size: var(--fs-md);
    font-weight: 300;
    color: var(--color-light);
    /*overflow: hidden;*/
}
:root {
    /* Colors */
    --color-dark: #1f1f1f;
    --color-light: #E5E2DC;
    --color-accent: #0D3E38;
    --color-grytxt: #AAAAAA;
    /* Font families */
    --font-primary: "Zalando Sans", sans-serif;
    --font-display: "Playfair Display", serif;
    /* Font sizes */
    --fs-sm: 1.4rem; /*14px equivalent*/
    --fs-md: 1.6rem; /*16px equivalent*/
    --fs-lg: 3.2rem; /*32px equivalent*/
}

/* --- FONTS --- */
h2, h3, .p-alt, p{
    margin: 0;
}
h2 {
    font-family: var(--font-display);
    font-size: var(--fs-lg);
    font-weight: 300;
    font-style: italic;
}
h3 {
    font-size: var(--fs-lg);
    font-weight: 600;
}
.p-alt{
    font-family: var(--font-display);
    font-style: italic;
    font-size: 1.8rem;
}

/* --- OTHER --- */
* {
  cursor: default;
}
#cursor {
  position: fixed;
  top: 0;
  left: 0;
  width: 24px;
  height: 24px;
  border-radius: 50%;
  background-color: none;
  border: 1px solid var(--color-grytxt);
  pointer-events: none;
  z-index: 9999;
  will-change: transform;
  mix-blend-mode: difference;
}
.hr-main, .hr-alt, .hr-alt-dashed{
    width: 100%;
    border: none;              
    opacity: 1; 
}
.hr-main{             
    border-top: 1px solid var(--color-light);                   
}
.hr-alt{             
    border-top: 1px solid #4c4c4c;                   
}
.hr-alt-dashed{             
    border-top: 1px dashed #4c4c4c;                   
}
/* Link Effect */
.linkEffect {
    display: inline-block;
    position: relative;
    text-decoration: none;
    transition: color 0.3s ease;
    cursor: pointer;
}
.linkEffect::after {
    content: "";
    position: absolute;
    width: 0%;
    height: 1px;
    bottom: -3px;
    right: 100%;
    background-color: var(--color-light);
    transition: width 0.40s ease, right 0.40s ease;
}
.linkEffect:hover::after {
    width: 100%;
    right: 0;
}
/* Link Effect Nav */
.linkEffectV {
  display: inline-block;
  position: relative;
  text-decoration: none;
  transition: color 0.3s ease;
  cursor: pointer;
}
.linkEffectV::after {
  content: "";
  position: absolute;
  width: 1px;      
  height: 0%;    
  left: -2px;
  bottom: 100%;   
  background-color: var(--color-light);
  transition: height 0.3s ease, bottom 0.3s ease;
}
.linkEffectV:hover::after {
  height: 100%;
  bottom: 0;
}
/* Buttons */
.btn-tst {
    color: var(--color-light);
    font-weight: 300;
    font-size: var(--fs-sm);
    text-decoration: none;
    /**/
    display: inline-flex;
    align-items: center;
    cursor: pointer;
}
.btn-arrow-1 {
    width: 1.5em;
    margin-left: 0.65em;
    margin-top: 0.05em;
}
.btn-arrow-2 {
    width: 0.75em;
}
.btn-tst-gray{
    opacity: 0.6;
    transition: opacity 0.3s ease;
}
.btn-tst-gray:hover{
    opacity: 1;
}






/* ------------------------------------------------------------- */
/* ---------------- PRELOADER, NAVBAR, NAV MENU ---------------- */
/* ------------------------------------------------------------- */

/* --- PRELOADER --- */
.preloader {
  position: fixed;
  inset: 0;
  background: #0D3E38;
  z-index: 9999;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  clip-path: inset(0 0 0 0); /* controls the wipe exit */
  transition: clip-path 0.8s cubic-bezier(0.76, 0, 0.24, 1);
  padding: 3em 0;
}
.preloader-bottom{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 3em;
}
.preloader-logo, .preloader-copy {
  opacity: 0;
  transition: opacity 0.4s ease;
}
.preloader-logo{
    width: 28px;
}
.preloader-copy{
    font-size: var(--fs-sm);
    font-weight: 400;
}
.preloader-headline{
    display: flex;
    gap: 1em;
}
.word-wrap {
  overflow: hidden;
  display: inline-block;
}
.word {
  display: inline-block;
  font-family: var(--font-display);
  font-style: italic;
  font-size: 5em;
  translate: 0 100%;
  transition: translate 0.4s cubic-bezier(0.16, 1, 0.3, 1);
}
.preloader.exit {
  clip-path: inset(0% 0 100% 0);
  transition: clip-path 0.5s cubic-bezier(0.76, 0, 0.24, 1);
}

/* --- NAVBAR DESKTOP --- */
#navcontainer {
    /* background-color: rgba(255, 255, 0, 0.274); */
    pointer-events: none;
    position: fixed;
    width: 100%;
    height: 100dvh;
    display: flex;
    justify-content: space-between;
}
.navleft, .navright {
    background-color: #1f1f1f;
    pointer-events: auto;
    z-index: 9999;
    width: 4em;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    padding: 80px 0;
}
.navleft {
    border-right: 1px solid var(--color-light);
}
.navright {
    border-left: 1px solid var(--color-light);
}
.navright img {
    width: 28px;
    transform: rotate(-90deg);
}
#langdiv, #langdiv a{
    display: flex;
    flex-direction: column;
    gap: 1.4em;
    text-decoration: none;
    color: var(--color-light);
    font-size: var(--fs-sm);
}
.disabled, .disabled-link{
    pointer-events: none;
    cursor: default;
    color: #4c4c4c;
    opacity: 30%;
}
.navleft a, .navright p {
    /* background-color: aliceblue; */
    margin: 0;
    display: block;
    writing-mode: vertical-rl;
    transform: rotate(180deg);
    text-decoration: none;
    font-size: var(--fs-sm);
    color: var(--color-light);
}
.logo-index, .navleft a{
    cursor: pointer;
}
.nav-vl{
    height: 60%;
    width: 1px;
    border: none;
    background-color: #4c4c4c;
}

/* --- NAVBAR MOBILE --- */
#navmob{
    display: none;
    position: fixed;
    z-index: 9998;
    width: 100%;
    top: 0;
    mix-blend-mode: difference;
}
.navmob-sub1{
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0 auto;
    width: 85dvw;
    padding: 1.5em 0;
}
.navmob-txt{
    font-size: var(--fs-sm);
}
.navmob-logo{
    width: 28px;
    height: 21px;
}
.nav-toggle{
    display: flex;
    flex-direction: column;
    gap: 7px;
    background: none;
    border: none;
    cursor: pointer;
    padding: 0;
    width: 40px;
}
.bar{
    width: 100%;
    height: 1px;
    background-color: var(--color-light);
    border-radius: 0;
    transition: transform 0.3s ease, opacity 0.3s ease;
    transform-origin: center center;
}
.nav-toggle.is-open .bar:nth-child(1) {
  transform: translateY(4px) rotate(12deg);
}
.nav-toggle.is-open .bar:nth-child(2) {
  transform: translateY(-4px) rotate(-12deg);
}

/* --- NAV MENU --- */
#nav-menu, .menu-footer, .menu-pages, .menu-top{
    display: flex;
    flex-direction: column;
}
.menu-footer-sub1, .menu-email, .menu-langs, .menu-footer-sub2{
    display: flex;
    flex-direction: row;
}
#nav-menu{
    display: none;
    background-color: var(--color-dark);
    box-sizing: border-box;
    position: fixed;
    z-index: 9997;
    top: 0;
    right: 0;
    width: 100%;
    height: 100vh;
    padding-top: 3.5em;
    padding-bottom: 4em;
    justify-content: space-between;
    align-items: center;
}
.menu-top{
    height: 100%;
    justify-content: center;
    align-items: center;
}
.menu-pages{
    gap: 4dvh;
    align-items: center;
}
.menu-pages a{
    font-family: var(--font-display);
    font-style: italic;
    text-decoration: none;
    font-size: 2.2em;
    color: var(--color-light);
}
.menu-footer{
    width: 85vw;
    align-items: center;
}
.menu-footer-sub1{
    width: 100%;
    border-top: 1px solid #4c4c4c;
    border-bottom: 1px solid #4c4c4c;
    justify-content: space-between;
}
.menu-email{
    width: 100%;
    padding: 1.5em 0;
    justify-content: start;
}
.menu-langs{
    padding: 1.5em 4em;
    gap: 2em;
    border-left: 1px solid #4c4c4c;
}
.menu-footer-sub2{
    width: 100%;
    justify-content: space-between;
    border-bottom: 1px solid #4c4c4c;
    padding: 1.5em 0;
}
.menu-email a, .menu-langs p, .menu-footer-sub2 a{
    text-decoration: none;
    color: var(--color-light);
    font-weight: 500;
    font-size: var(--fs-md);
}






/* ------------------------------------------------------------- */
/* ------------------------- VIEWPORTS ------------------------- */
/* ------------------------------------------------------------- */

/* --- MID SIZE: ~1,250px and below --- */
@media (max-width: 78em) {

    .navleft, .navright {
        padding: 60px 0;
        width: 3em;
    }

}

/* --- TABLET: ~768px and below --- */
@media (max-width: 48em) {
    /*body{background-color: green;}*/
    :root {
        --fs-sm: 1.2rem;
        --fs-md: 1.4rem;
        --fs-lg: 2.2rem;
    }
    .p-alt{
        font-size: 1.6rem
    }
    p{
        font-size: var(--fs-md);
    }

    #cursor{
        display: none;
    }

    /* DS */
    #navcontainer{
        display: none;
    }
    #navmob{
        display: flex;
    }
    #nav-menu{
        /* display: none; */
        display: flex;
        translate: 100% 0;
        visibility: hidden;
        transition: translate 0.8s cubic-bezier(0.9, 0, 0.35, 1), visibility 0s 0.8s;
    }
    #nav-menu.is-open{
        /* display: flex; */
        translate: 0 0;
        visibility: visible;
        transition: translate 0.8s cubic-bezier(0.9, 0, 0.35, 1), visibility 0s 0s;
    }

    /* PRELOADER */
    .preloader {
        padding: 1.5em 0 4em 0;
    }
    .word {
        font-size: 4.5em;
        margin: 0;
    }
    .preloader-headline{
        gap: 0.5em;
    }

}

/* --- MOBILE: ~480px and below --- */
@media (max-width: 31em) {
    :root {
        --fs-sm: 1rem;
        --fs-md: 1.1rem;
        --fs-lg: 1.4rem;
    }
    .p-alt{
        font-size: 1.2rem
    }

    /* PRELOADER */
    .preloader {
        padding: 2em 0 5em 0;
    }
    .preloader-headline{
        gap: 0.5em;
    }
    .preloader-logo{
        width: 25px;
        height: 19px;
    }
    .word {
        font-size: 3em;
    }

    /* NAV & NAV MENU */
    .navmob-sub1{
        width: 90dvw;
        padding: 2em 0;
    }
    .navmob-logo{
        width: 25px;
        height: 19px;
    }
    .nav-toggle{
        width: 32px;
        gap: 4px;
    }
    .nav-toggle.is-open .bar:nth-child(1) {
        transform: translateY(2.5px) rotate(12deg);
    }
    .nav-toggle.is-open .bar:nth-child(2) {
        transform: translateY(-2.5px) rotate(-12deg);
    }
    .menu-pages a{
        font-size: 2.6em;
    }
    .menu-email{
        padding: 2em 0;
    }
    .menu-langs{
        padding: 2em 2.5em;
    }
    .menu-footer-sub2{
        padding: 2em 0;
    }
    .menu-footer{
        width: 90vw;
    }

}

/* --- MINI: ~360px and below --- */
@media (max-width: 20em) {
    #nav-menu{
        background-color: var(--color-dark);
    }
    .menu-pages a{
        font-size: 2.4em;
    }
    .menu-footer-sub1{
        flex-direction: column;
    }
    .menu-email{
        justify-content: center;
        padding: 1.5em 0;
    }
    .menu-langs{
        border-left: 0;
        padding: 1.5em 0;
        width: 100%;
        border-top: 1px solid #4c4c4c;
        justify-content: center;
    }
    .menu-footer-sub2{
        padding: 1.5em 0;
    }
    .misc1{
        display: none;
    }
}






/*------------------- FOOTER -------------------*/
/* DESKTOP */
#footer-global-section {
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    box-sizing: border-box;
    padding-bottom: 80px;
    margin: 0 auto;
}
.footer-global{
    display: flex;
    flex-direction: column;
    width: 75dvw;
    max-width: 1300px;
    gap: 1em;
}
.footer-global-top{
    display: flex;
    justify-content: space-between;
}
.footer-global-socials{
    display: flex;
    gap: 3.5em;
}
.footer-global-socials a, .footer-global-email{
    text-decoration: none;
    font-size: 2rem;
    font-weight: 600;
    color: var(--color-light);
}
.footer-global-credits, .footer-global-credits-sub{
    display: flex;
}
.footer-global-credits{
    justify-content: space-between;
}
.footer-global-credits-sub{
    gap: 8em;
}
.footer-global-credits p{
    font-size: var(--fs-sm);
}
/* MOBILE */
.footer-global-mobile{
    display: none;
    flex-direction: column;
    width: 85dvw;
    gap: 2.5em;
}
.footer-global-mobile-sub{
    display: flex;
    flex-direction: row;
    width: 100%;
    justify-content: space-between;
}
.footer-global-mobile-email{
    font-size: 6.7cqi;
    font-weight: 600;
    text-decoration: none;
    color: var(--color-light);
}
.socials-mobile{
    display: grid;
    grid-template-columns: 1fr 1fr;
    width: auto;
    row-gap: 2.5em;
    column-gap: 3em;
}
.socials-mobile a{
    text-decoration: none;
    font-size: 1.8rem;
    font-weight: 600;
    color: var(--color-light);
}
.credits-mobile{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.footer-global-mobile-brackets{
    display: flex;
    justify-content: space-between;
    border-top: 1px solid #4c4c4c;
    border-bottom: 1px solid #4c4c4c;
    padding: 1em 0;
}
.footer-global-mobile-brackets p{
    font-weight: 500;
}
/* --- MID SIZE: ~1,250px and below --- */
@media (max-width: 78em) {
    #footer-global-section {
        padding-bottom: 60px;
    }
    .footer-global-socials{
        gap: 1em;
    }
    .footer-global-socials a, .footer-global-email{
        font-size: 1.5rem;
    }
}
/* --- TABLET: ~768px and below ------- */
@media (max-width: 48em) {
    #footer-global-section{
        padding-bottom: 2.4em;
        gap: 2.5em;
        container-type: inline-size;
    }
    .footer-global{
        display: none;
    }
    .footer-global-mobile{
        display: flex;
    }
}
/* --- MOBILE: ~480px and below ------- */
@media (max-width: 31em) {
    .footer-global-mobile{
        width: 90dvw;
    }
    .footer-global-mobile-email{
        font-size: 7.03cqi;
        font-weight: 600;
        text-decoration: none;
        color: var(--color-light);
    }
    .socials-mobile{
        column-gap: 2em;
        row-gap: 3em;
    }
    .socials-mobile a{
        font-size: 1.4rem;
    }
    .credits-mobile p{
        text-align: end;
    }
}
/* --- MINI: ~360px and below --------- */
@media (max-width: 20em) {
    .socials-mobile{
        column-gap: 1em;
    }
    .socials-mobile a{
        font-size: 1.2rem;
    }
}
/*------------------- FOOTER -------------------*/